# vim:tw=0:ts=4:sw=4:et

%define version 4.3.0
%define visversion 1.0.0
%define buildnumber fuse-02-00
%define maven_repo /usr/share/maven2/repository
%define initscriptname servicemixd


%define java_arch %{nil}

%ifarch x86_64
%define java_arch .x86_64
%endif

Name:           apache-servicemix
Version:        %{version}
Release:        927.1
Summary:        FUSE ESB based on Apache ServiceMix
Group:          Applications/System
License:        Apache
URL:            http://fusesource.com/
Source0:        %{name}-%{version}-%{buildnumber}.tar.bz2
Source1:        features.xml
Source2:        %{initscriptname}
Source3:        apache-servicemix-cfg-%{visversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%if 0%{?suse_version}
#Requires: java-1.6.0-openjdk-devel
#%define java_home /usr/lib/jvm/java-1.6.0-openjdk%{java_arch}
Requires: jdk
%define java_home /usr/java/latest
%else
#Requires: java-1.6.0-openjdk-devel
#%define java_home /usr/lib/jvm/java-1.6.0-openjdk%{java_arch}
Requires: jdk
%define java_home /usr/java/latest
%endif

%description
FUSE ESB is a robust SOA infrastructure based on Apache ServiceMix

%prep

%build

%check

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

mkdir -p %{buildroot}/opt
mkdir -p %{buildroot}/etc/profile.d

#untar servicemix and rename the folder
tar xvjf %{SOURCE0} -C %{buildroot}/opt
mv %{buildroot}/opt/%{name}-%{version}-%{buildnumber} %{buildroot}/opt/%{name}

#untar cfg files
tar xvjf %{SOURCE3} -C %{buildroot}/opt/apache-servicemix/

#copy features.xml to <servicemix_home>/etc/
cp %{SOURCE1} %{buildroot}/opt/%{name}/etc/

#export variables and add them to $PATH
cat <<EOT > %{buildroot}/etc/profile.d/%{name}.sh
export JAVA_HOME=%{java_home}
export SERVICEMIX_BIN=/opt/%{name}/bin
PATH=\$SERVICEMIX_BIN:\$PATH
EOT

chmod +x %{buildroot}/etc/profile.d/%{name}.sh

#copy initscript
mkdir -p %{buildroot}/%{initscriptdir}
cp %{SOURCE2} %{buildroot}/%{initscriptdir}
chmod 755 %{buildroot}/%{initscriptdir}/%{initscriptname}

# delete the some extraneous files/folders for prod build
rm -rf %{buildroot}/opt/%{name}/examples

%post
/etc/profile.d/%{name}.sh


InstallInitScript() {
        local INIT_SCRIPT_NAME=$1
        if [ -x /usr/lib/lsb/install_initd ]; then
                /usr/lib/lsb/install_initd %{initscriptdir}/${INIT_SCRIPT_NAME}
        elif [ -x /sbin/chkconfig ]; then
                /sbin/chkconfig --add ${INIT_SCRIPT_NAME}
        fi
}

if [ "$1" == "1" ]; then
        InstallInitScript %{initscriptname}
fi

%preun
UnInstallInitScript() {
        INIT_SCRIPT_NAME="${1}"
        /etc/init.d/${INIT_SCRIPT_NAME} stop
        if [ -x /usr/lib/lsb/remove_initd ]; then
                /usr/lib/lsb/remove_initd /etc/init.d/${INIT_SCRIPT_NAME} >/dev/null 2>&1
        elif [ -x /sbin/chkconfig ]; then
                /sbin/chkconfig --del ${INIT_SCRIPT_NAME}
        fi
}

if [ $1 = 0 ]; then # ERASE  
        # Uninstall the rc startup script links  
        UnInstallInitScript %{initscriptname}
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
/opt/*
%{initscriptdir}/*
%config /etc/profile.d/%{name}.sh

%changelog
* Mon Aug 23 2010 Prudhvi Tella <prudhvi_tella@dell.com> 2.2.1-1
- Initial packaging
